{
  "criteria": {
    "inv_change": {
      "trigger": "minecraft:inventory_changed",
      "conditions": {
        "items": [
          {
            "predicates": {
              "custom_data": {
                "or_no_pickup": true
              }
            }
          }
        ]
      }
    }
  },
  "requirements": [
    [
      "inv_change"
    ]
  ],
  "rewards": {
    "function": "overly_realistic:general/items/player/player_inv_get_no_pickup"
  }
}